Retrieve daily closure

API to retrieve shop daily closure

Responses

200 OK

  • shop_daily_closure [object]: The daily closure of the shop
    • id [string]: Unique ID of the daily closure
    • type [string]: Type of the daily closure (SHOP)
    • customer_uid [string]: Unique ID of the shop
    • amount_unit [number]: The daily closure amount of the whole shop
    • currency [string]: The currency of the daily closure
  • pdf [object]: The receipt of the daily closure
    • url [string]: The pre-signed url to the daily closure pdf
    • expiration [date]: The expiration date of the pre-signed url
    • expire_in_sec [integer]: The time to live of the pre-signed url in seconds
    • bucket [string]: The bucket in which the pdf is stored
    • key [string]: The key of the pdf
    • http_method [string]: The http method that can be invoked on pre-signed url

400 Bad daily closure date format

  • code [integer]: Error code
  • message [string]: Error message

403 Forbidden or invalid authorization header

  • code [integer]: Error code
  • message [string]: Error message
📘

Notes

  • Default offset is at 00:00 (midnight), unless a custom one has been requested
  • If daily closure is called before the end of the day, it will return the payments till that moment
  • Refunds impact the daily closure of the day when they have been executed
Path Params
string
required

The day on which retrieve the daily closure (format yyyyMMdd)

Query Params
boolean

Generate the pdf with the daily closure amounts

Headers
string
required

The host declared in the signature

string
required

The date declared in the signature

string
required

The digest declared in the signature

string
required

Signature of the request

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
text/plain